<script setup lang="ts">
import { useRoute, useRouter } from 'vue-router'
import { ref, onMounted } from 'vue'

const router = useRouter()
const route = useRoute()
</script>

<template>
  <div class="floating-button">
    <v-btn
      color="primary"
      width="60"
      height="60"
      rounded
      @click="console.log()"
      :class="{ active: route.name === 'home' }"
      :to="{ path: '/' }"
    >
      <v-icon size="25">mdi-arrow-right</v-icon>
      <div style="font-size: 10px">Exit</div>
    </v-btn>
  </div>
</template>

<style scoped>
.floating-button {
  position: fixed;
  bottom: 30px;
  right: 30px;
  z-index: 1000;
}
</style>
